libzypp 17.37.10

ztui::ctcdetail::ColumnIf< Tif_, Tif_ > Struct Template Reference

Specialization both functions return the same type. More...

`#include <zypp-tui/Table.h>`

## Public Member Functions
| ColumnIf (bool condition_r, std::function< Tif_()> if_r, std::function< Tif_()> else_r)
| ColumnIf (bool condition_r, std::function< Tif_()> &&if_r)

## Public Attributes
std::function< Tif_()> | _ifelse
std::function< Tif_()> | _if
std::function< Tif_()> | _else

## Detailed Description

template<class Tif_>
struct ztui::ctcdetail::ColumnIf< Tif_, Tif_ >

Specialization both functions return the same type.

Definition at line 113 of file Table.h.

## Constructor & Destructor Documentation

## ◆ ColumnIf() [1/2]

template<class Tif_>

ztui::ctcdetail::ColumnIf< Tif_, Tif_ >::ColumnIf | ( | bool | condition_r,
|  | std::function< Tif_()> | if_r,
|  | std::function< Tif_()> | else_r )
| inline

Definition at line 115 of file Table.h.

## ◆ ColumnIf() [2/2]

template<class Tif_>

ztui::ctcdetail::ColumnIf< Tif_, Tif_ >::ColumnIf | ( | bool | condition_r,
|  | std::function< Tif_()> && | if_r )
| inline

Definition at line 118 of file Table.h.

## Member Data Documentation

## ◆ _ifelse

template<class Tif_>

std::function<Tif_()> ztui::ctcdetail::ColumnIf< Tif_, Tif_ >::_ifelse

Definition at line 120 of file Table.h.

## ◆ _if

std::function<Tif_()> ztui::ctcdetail::ColumnIf< Tif_, Tif_ >::_if

Definition at line 108 of file Table.h.

## ◆ _else

std::function<Tif_()> ztui::ctcdetail::ColumnIf< Tif_, Tif_ >::_else

Definition at line 109 of file Table.h.

The documentation for this struct was generated from the following file:

- zypp-tui/Table.h